GDB (xrefs)

Classes | Functions | Variables
py-instruction.c File Reference
`#include "defs.h"`
`#include "py-instruction.h"`

Go to the source code of this file.

## Classes
struct | py_insn_obj

## Functions
static PyObject * | py_insn_getter (PyObject *self, void *closure)
int | gdbpy_initialize_instruction (void)

## Variables
PyTypeObject | py_insn_type
static gdb_PyGetSetDef | py_insn_getset []

## Function Documentation

## ◆ gdbpy_initialize_instruction()

int gdbpy_initialize_instruction | ( | void |  | ) |

Definition at line 57 of file py-instruction.c.

References py_insn_getset, and py_insn_type.

Referenced by do_start_initialization().

## ◆ py_insn_getter()

static PyObject* py_insn_getter | ( | PyObject * | self,
|  | void * | closure
| ) |  |
| static

Definition at line 38 of file py-instruction.c.

References _.

## Variable Documentation

## ◆ py_insn_getset

gdb_PyGetSetDef py_insn_getset[]
| static

Initial value:
=
{
{ "pc", py_insn_getter, NULL, "instruction address", NULL},
{ "data", py_insn_getter, NULL, "instruction memory", NULL},
{ "decoded", py_insn_getter, NULL, "decoded instruction", NULL},
{ "size", py_insn_getter, NULL, "instruction size in bytes", NULL},
{NULL}
}
py_insn_getter
static PyObject * py_insn_getter(PyObject *self, void *closure)
Definition: py-instruction.c:38

Definition at line 45 of file py-instruction.c.

Referenced by gdbpy_initialize_instruction().

## ◆ py_insn_type

PyTypeObject py_insn_type

Initial value:
= {
PyVarObject_HEAD_INIT (NULL, 0)
}
PyVarObject_HEAD_INIT
#define PyVarObject_HEAD_INIT(type, size)
Definition: python-internal.h:133

Definition at line 25 of file py-instruction.c.

Referenced by gdbpy_initialize_instruction(), and gdbpy_initialize_record().